Create upload
POST
workspaceTokenheader
AuthorizationBearer <vat_<opaque-token>>Expiring, hashed workspace token with explicit scopes.
workspace_id*Workspace IdFormat
uuidapplication/json- body
auto_audit?Auto AuditStart an audit of a repository ZIP as soon as it validates clean. Other uploads ignore it.
Default
truecompressed_bytes*Compressed BytesRange
0 < value <= 1073741824content_type*Content Typefilename*FilenameLength
1 <= length <= 500purpose?PurposeDefault
"artifact"Value in
"artifact""repository_zip"sha256*Sha256Match
^[a-fA-F0-9]{64}$Successful Response
application/json- response
compressed_bytes*Compressed Bytescontent_type*Content Typecreated_at*Created AtFormat
date-timeexpires_at*Expires AtFormat
date-timefile_count*integer|nullfilename*Filenameid*IdFormat
uuidmalware_status*Malware Statuspurpose*PurposeValue in
"artifact""repository_zip"removed_at*|nullsha256*Sha256unpacked_bytes*integer|nullupload_headers?upload_url?string|nullvalidation_error_code*string|nullvalidation_error_detail*string|nullvalidation_progress*Validation ProgressRange
0 <= value <= 100validation_stage*Validation StageValue in
"awaiting_upload""queued""downloading""inspecting_archive""scanning_malware""complete""rejected""failed"workspace_id*Workspace IdFormat
uuidcurl -X POST 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/uploads' \ -H 'Content-Type: application/json' \ -d '{ "compressed_bytes": 1, "content_type": "application/zip", "filename": "string", "sha256": "string"}'Example Response
{ "compressed_bytes": 0, "content_type": "string", "created_at": "2019-08-24T14:15:22Z", "expires_at": "2019-08-24T14:15:22Z", "file_count": 0, "filename": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "malware_status": "string", "purpose": "artifact", "removed_at": "2019-08-24T14:15:22Z", "sha256": "string", "unpacked_bytes": 0, "upload_headers": { "property1": "string", "property2": "string" }, "upload_url": "string", "validation_error_code": "string", "validation_error_detail": "string", "validation_progress": 0, "validation_stage": "awaiting_upload", "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9"}